<?php
session_start();
require('../cfg/res.php');
// require('../../_lib/vrdocu0.php');
// require('../../_lib/vr_contab.php');

require('../../_lib/vr_updsql.php');


// $updt0=new vrupdt0('atrd',10);
// 		$view0='atrz00';	mysql_query('drop view '.$view0,$link_vcrx); $xstr= 'create view '.$view0.' as ';
// 				 $xstr.='select atrz0.*, ';
// 				 $xstr.=' atrd0.*, ';
// 				 $xstr.=' enti_descri ';
// 				 $xstr.=' from atrz0 ';
// 				 $xstr.=' left join enti0 on atrz_enti=enti_codigo ';
// 				 $xstr.=' left join atrd0 on atrz_codigo=atrd_atrz ';
// 		if (mysql_query($xstr,$link_vcrx)!=1){echo "\n";echo ' *** ERROR ***  '.$xstr;}

// $updv0=new vrupdv0();
//   die();


$xupdt='0';
if(isset($_POST['tipoupd']) && !empty($_POST['tipoupd']))
{$xupdt=$_POST['tipoupd'];}


if($xupdt==0)
{
// TABLAS GENE
$updtg=new vrupdtg();

// TABLAS MAESTRAS T0
$updt0=new vrupdt0('empr',4);

$updt0=new vrupdt0('user',13);
$updt0=new vrupdt0('usrt',13);

$updt0=new vrupdt0('ctas',12);
$updt0=new vrupdt0('enti',13);
$updt0=new vrupdt0('item',13);
$updt0=new vrupdt0('nvdd',13);
$updt0=new vrupdt0('agnt',4);
$updt0=new vrupdt0('cour',4);
$updt0=new vrupdt0('clac',49);

  
  
$updt0=new vrupdt0('at10',4);
$updt0=new vrupdt0('cret',4);
$updt0=new vrupdt0('cair',5);
$updt0=new vrupdt0('bser',4);

$updt0=new vrupdt0('at03',2);
$updt0=new vrupdt0('suco',2);
$updt0=new vrupdt0('tacr',2);


$updt0=new vrupdt0('mtvo',6);
$updt0=new vrupdt0('vhcl',7);
$updt0=new vrupdt0('plak',7);
$updt0=new vrupdt0('nave',6);
$updt0=new vrupdt0('bldn',30);
$updt0=new vrupdt0('cntn',11);
$updt0=new vrupdt0('vinn',17);
$updt0=new vrupdt0('sntr',10);
$updt0=new vrupdt0('tlfn',15);
$updt0=new vrupdt0('imge',4);
$updt0=new vrupdt0('imgi',4);
$updt0=new vrupdt0('adrs',4);
$updt0=new vrupdt0('suel',4);
$updt0=new vrupdt0('prmk',20);

$updt0=new vrupdt0('modu',4);
$updt0=new vrupdt0('docu',4);
$updt0=new vrupdt0('atrz',10);
$updt0=new vrupdt0('atrd',10);
// *$updt0=new vrupdt0('atrz',37);
$updt0=new vrupdt0('at02',2);
$updt0=new vrupdt0('tico',2);

$updt0=new vrupdt0('fpag',2);



$updt0=new vrupdt0('ppcd',11);
$updt0=new vrupdt0('pais',4);
$updt0=new vrupdt0('prvc',2);
$updt0=new vrupdt0('cdad',6);
$updt0=new vrupdt0('prrq',6);
$updt0=new vrupdt0('port',9);
$updt0=new vrupdt0('bcos',4);

$updt0=new vrupdt0('stat',2);

// *$updt0=new vrupdt0('frds',8);

$updt0=new vrupdt0('caja',4);
$updt0=new vrupdt0('ctab',4);
$updt0=new vrupdt0('bode',4);

$updt0=new vrupdt0('ubik',4);
$updt0=new vrupdt0('mkna',4);
$updt0=new vrupdt0('krgo',4);

$updt0=new vrupdt0('tpro',4);
$updt0=new vrupdt0('csub',9);
$updt0=new vrupdt0('zsub',9);
$updt0=new vrupdt0('lsub',9);
// $updt0=new vrupdt0('bsub',9);
$updt0=new vrupdt0('zona',9);

$updt0=new vrupdt0('srie',6);
$updt0=new vrupdt0('ptov',4);
$updt0=new vrupdt0('ptoe',6);
$updt0=new vrupdt0('vndd',10);
$updt0=new vrupdt0('rcdd',10);
$updt0=new vrupdt0('mrca',4);
$updt0=new vrupdt0('mdlo',10);
$updt0=new vrupdt0('unid',4);
$updt0=new vrupdt0('umdd',4);
// $updt0=new vrupdt0('cour',4);

$updt0=new vrupdt0('lado',2);
$updt0=new vrupdt0('clor',6);
$updt0=new vrupdt0('tlla',2);
$updt0=new vrupdt0('tmno',2);
$updt0=new vrupdt0('kldd',6);
}


if($xupdt==1)
{

// TABLAS TRANSACCIONES

$updt1=new vrupdt1('cont');

$updt1=new vrupdt1('vtas');
$updt1=new vrupdt1('comp');
// $updt1=new vrupdt1('cele');

$updt1=new vrupdt1('expo');
$updt1=new vrupdt1('impo');

$updt1=new vrupdt1('clie');
$updt1=new vrupdt1('carr');
$updt1=new vrupdt1('prov');
$updt1=new vrupdt1('clte');
$updt1=new vrupdt1('inve');
$updt1=new vrupdt1('prod');
$updt1=new vrupdt1('nomi');
$updt1=new vrupdt1('rolp');
$updt1=new vrupdt1('afij');

$updt1=new vrupdt1('guia');
$updt1=new vrupdt1('empl');
$updt1=new vrupdt1('caja');
$updt1=new vrupdt1('cjte');
$updt1=new vrupdt1('bcos');
$updt1=new vrupdt1('flue');
$updt1=new vrupdt1('retc');
$updt1=new vrupdt1('retp');
// $updt1=new vrupdt1('cere');
  
$updt1=new vrupdt1('call');
$updt1=new vrupdt1('tket');
$updt1=new vrupdt1('roln');

$updt1=new vrupdt1('roln');
}



if($xupdt==3)
{
// $updv1=new vrupdvg();
$updv0=new vrupdv0();
}

if($xupdt==4)
{
$updv1=new vrupdv1('cont');
$updv1=new vrupdv1('vtas');
$updv1=new vrupdv1('comp');
$updv1=new vrupdv1('clie');
$updv1=new vrupdv1('carr');
$updv1=new vrupdv1('prov');
$updv1=new vrupdv1('inve');
$updv1=new vrupdv1('caja');
$updv1=new vrupdv1('bcos');
$updv1=new vrupdv1('prod');
$updv1=new vrupdv1('retc');
$updv1=new vrupdv1('retp');
$updv1=new vrupdv1('cxco');
$updv1=new vrupdv1('cxpa');

}

?>